export interface Mutex {
    /** Runs the mutex callback in case it's not locked */
    run: (callback: () => void) => void;
    /** Locks the mutex instance */
    lock: () => void;
    /** Unlocks the mutex instance */
    unlock: () => void;
    /** Shows whether the mutex instance is locked or not */
    isLocked: () => boolean;
}
export declare const createMutex: (context: string[]) => {
    new (id: string): {
        id: string;
        run: (callback: () => void) => void;
        lock: () => void;
        unlock: () => void;
        isLocked: () => boolean;
    };
};
